## net.sf.saxon.expr
Class StackFrame

    java.lang.Object
      net.sf.saxon.expr.StackFrame

    public class StackFrame

extends Object

This class represents a stack frame holding details of the variables used in a function or in an XSLT template.

Field Summary
`static StackFrame` `EMPTY`

Constructor Summary
`StackFrame(SlotManager map, ValueRepresentation[] slots)`

Method Summary
`SlotManager` `getStackFrameMap()`
`ValueRepresentation[]` `getStackFrameValues()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final StackFrame EMPTY

Constructor Detail

### StackFrame

    public StackFrame(SlotManager map,
                      ValueRepresentation[] slots)

Method Detail

### getStackFrameMap

    public SlotManager getStackFrameMap()

### getStackFrameValues

    public ValueRepresentation[] getStackFrameValues()

Copyright (C) Michael H. Kay. All rights reserved.